From b070511a7c83e69fe4fdde757c1c4a245d7231cf Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Mon, 13 Nov 2017 12:30:27 +0100
Subject: [PATCH] Remove old openssl(1) manual pages.

---
 Makefile_upgrade.inc                |  44 ++
 usr.bin/openssl/Makefile            |   1 -
 usr.bin/openssl/Makefile.man        |  60 ---
 usr.bin/openssl/man/CA.pl.1         | 306 ------------
 usr.bin/openssl/man/asn1parse.1     | 314 -------------
 usr.bin/openssl/man/c_rehash.1      | 233 ---------
 usr.bin/openssl/man/ca.1            | 758 ------------------------------
 usr.bin/openssl/man/ciphers.1       | 730 -----------------------------
 usr.bin/openssl/man/cms.1           | 750 -----------------------------
 usr.bin/openssl/man/config.5        | 499 --------------------
 usr.bin/openssl/man/crl.1           | 245 ----------
 usr.bin/openssl/man/crl2pkcs7.1     | 215 ---------
 usr.bin/openssl/man/dgst.1          | 307 ------------
 usr.bin/openssl/man/dhparam.1       | 262 -----------
 usr.bin/openssl/man/dsa.1           | 291 ------------
 usr.bin/openssl/man/dsaparam.1      | 228 ---------
 usr.bin/openssl/man/ec.1            | 315 -------------
 usr.bin/openssl/man/ecparam.1       | 301 ------------
 usr.bin/openssl/man/enc.1           | 449 ------------------
 usr.bin/openssl/man/errstr.1        | 175 -------
 usr.bin/openssl/man/gendsa.1        | 195 --------
 usr.bin/openssl/man/genpkey.1       | 329 -------------
 usr.bin/openssl/man/genrsa.1        | 220 ---------
 usr.bin/openssl/man/nseq.1          | 199 --------
 usr.bin/openssl/man/ocsp.1          | 492 -------------------
 usr.bin/openssl/man/openssl.1       | 468 -------------------
 usr.bin/openssl/man/passwd.1        | 201 --------
 usr.bin/openssl/man/pkcs12.1        | 462 ------------------
 usr.bin/openssl/man/pkcs7.1         | 230 ---------
 usr.bin/openssl/man/pkcs8.1         | 372 ---------------
 usr.bin/openssl/man/pkey.1          | 260 -----------
 usr.bin/openssl/man/pkeyparam.1     | 191 --------
 usr.bin/openssl/man/pkeyutl.1       | 342 --------------
 usr.bin/openssl/man/rand.1          | 179 -------
 usr.bin/openssl/man/req.1           | 771 ------------------------------
 usr.bin/openssl/man/rsa.1           | 336 -------------
 usr.bin/openssl/man/rsautl.1        | 316 -------------
 usr.bin/openssl/man/s_client.1      | 448 ------------------
 usr.bin/openssl/man/s_server.1      | 486 -------------------
 usr.bin/openssl/man/s_time.1        | 286 ------------
 usr.bin/openssl/man/sess_id.1       | 258 ----------
 usr.bin/openssl/man/smime.1         | 553 ----------------------
 usr.bin/openssl/man/speed.1         | 186 --------
 usr.bin/openssl/man/spkac.1         | 256 ----------
 usr.bin/openssl/man/ts.1            | 658 --------------------------
 usr.bin/openssl/man/tsget.1         | 320 -------------
 usr.bin/openssl/man/verify.1        | 512 --------------------
 usr.bin/openssl/man/version.1       | 185 --------
 usr.bin/openssl/man/x509.1          | 909 ------------------------------------
 usr.bin/openssl/man/x509v3_config.5 | 683 ---------------------------
 50 files changed, 44 insertions(+), 17742 deletions(-)
 delete mode 100644 usr.bin/openssl/Makefile.man
 delete mode 100644 usr.bin/openssl/man/CA.pl.1
 delete mode 100644 usr.bin/openssl/man/asn1parse.1
 delete mode 100644 usr.bin/openssl/man/c_rehash.1
 delete mode 100644 usr.bin/openssl/man/ca.1
 delete mode 100644 usr.bin/openssl/man/ciphers.1
 delete mode 100644 usr.bin/openssl/man/cms.1
 delete mode 100644 usr.bin/openssl/man/config.5
 delete mode 100644 usr.bin/openssl/man/crl.1
 delete mode 100644 usr.bin/openssl/man/crl2pkcs7.1
 delete mode 100644 usr.bin/openssl/man/dgst.1
 delete mode 100644 usr.bin/openssl/man/dhparam.1
 delete mode 100644 usr.bin/openssl/man/dsa.1
 delete mode 100644 usr.bin/openssl/man/dsaparam.1
 delete mode 100644 usr.bin/openssl/man/ec.1
 delete mode 100644 usr.bin/openssl/man/ecparam.1
 delete mode 100644 usr.bin/openssl/man/enc.1
 delete mode 100644 usr.bin/openssl/man/errstr.1
 delete mode 100644 usr.bin/openssl/man/gendsa.1
 delete mode 100644 usr.bin/openssl/man/genpkey.1
 delete mode 100644 usr.bin/openssl/man/genrsa.1
 delete mode 100644 usr.bin/openssl/man/nseq.1
 delete mode 100644 usr.bin/openssl/man/ocsp.1
 delete mode 100644 usr.bin/openssl/man/openssl.1
 delete mode 100644 usr.bin/openssl/man/passwd.1
 delete mode 100644 usr.bin/openssl/man/pkcs12.1
 delete mode 100644 usr.bin/openssl/man/pkcs7.1
 delete mode 100644 usr.bin/openssl/man/pkcs8.1
 delete mode 100644 usr.bin/openssl/man/pkey.1
 delete mode 100644 usr.bin/openssl/man/pkeyparam.1
 delete mode 100644 usr.bin/openssl/man/pkeyutl.1
 delete mode 100644 usr.bin/openssl/man/rand.1
 delete mode 100644 usr.bin/openssl/man/req.1
 delete mode 100644 usr.bin/openssl/man/rsa.1
 delete mode 100644 usr.bin/openssl/man/rsautl.1
 delete mode 100644 usr.bin/openssl/man/s_client.1
 delete mode 100644 usr.bin/openssl/man/s_server.1
 delete mode 100644 usr.bin/openssl/man/s_time.1
 delete mode 100644 usr.bin/openssl/man/sess_id.1
 delete mode 100644 usr.bin/openssl/man/smime.1
 delete mode 100644 usr.bin/openssl/man/speed.1
 delete mode 100644 usr.bin/openssl/man/spkac.1
 delete mode 100644 usr.bin/openssl/man/ts.1
 delete mode 100644 usr.bin/openssl/man/tsget.1
 delete mode 100644 usr.bin/openssl/man/verify.1
 delete mode 100644 usr.bin/openssl/man/version.1
 delete mode 100644 usr.bin/openssl/man/x509.1
 delete mode 100644 usr.bin/openssl/man/x509v3_config.5

diff --git a/Makefile_upgrade.inc b/Makefile_upgrade.inc
index 0ca446f359..c1d0a9e916 100644
--- a/Makefile_upgrade.inc
+++ b/Makefile_upgrade.inc
@@ -3294,6 +3294,50 @@ TO_REMOVE+=/usr/share/man/man5/dm.conf.5.gz
 TO_REMOVE+=/usr/share/man/man8/dm.8.gz
 TO_REMOVE+=/usr/games/strfile
 TO_REMOVE+=/usr/games/unstr
+TO_REMOVE+=/usr/share/man/man1/CA.pl.1.gz
+TO_REMOVE+=/usr/share/man/man1/asn1parse.1.gz
+TO_REMOVE+=/usr/share/man/man1/c_rehash.1.gz
+TO_REMOVE+=/usr/share/man/man1/ca.1.gz
+TO_REMOVE+=/usr/share/man/man1/ciphers.1.gz
+TO_REMOVE+=/usr/share/man/man1/cms.1.gz
+TO_REMOVE+=/usr/share/man/man1/crl.1.gz
+TO_REMOVE+=/usr/share/man/man1/crl2pkcs7.1.gz
+TO_REMOVE+=/usr/share/man/man1/dgst.1.gz
+TO_REMOVE+=/usr/share/man/man1/dhparam.1.gz
+TO_REMOVE+=/usr/share/man/man1/dsa.1.gz
+TO_REMOVE+=/usr/share/man/man1/dsaparam.1.gz
+TO_REMOVE+=/usr/share/man/man1/ec.1.gz
+TO_REMOVE+=/usr/share/man/man1/ecparam.1.gz
+TO_REMOVE+=/usr/share/man/man1/enc.1.gz
+TO_REMOVE+=/usr/share/man/man1/errstr.1.gz
+TO_REMOVE+=/usr/share/man/man1/gendsa.1.gz
+TO_REMOVE+=/usr/share/man/man1/genpkey.1.gz
+TO_REMOVE+=/usr/share/man/man1/genrsa.1.gz
+TO_REMOVE+=/usr/share/man/man1/nseq.1.gz
+TO_REMOVE+=/usr/share/man/man1/ocsp.1.gz
+TO_REMOVE+=/usr/share/man/man1/pkcs12.1.gz
+TO_REMOVE+=/usr/share/man/man1/pkcs7.1.gz
+TO_REMOVE+=/usr/share/man/man1/pkcs8.1.gz
+TO_REMOVE+=/usr/share/man/man1/pkey.1.gz
+TO_REMOVE+=/usr/share/man/man1/pkeyparam.1.gz
+TO_REMOVE+=/usr/share/man/man1/pkeyutl.1.gz
+TO_REMOVE+=/usr/share/man/man1/rand.1.gz
+TO_REMOVE+=/usr/share/man/man1/req.1.gz
+TO_REMOVE+=/usr/share/man/man1/rsa.1.gz
+TO_REMOVE+=/usr/share/man/man1/rsautl.1.gz
+TO_REMOVE+=/usr/share/man/man1/s_client.1.gz
+TO_REMOVE+=/usr/share/man/man1/s_server.1.gz
+TO_REMOVE+=/usr/share/man/man1/s_time.1.gz
+TO_REMOVE+=/usr/share/man/man1/sess_id.1.gz
+TO_REMOVE+=/usr/share/man/man1/smime.1.gz
+TO_REMOVE+=/usr/share/man/man1/speed.1.gz
+TO_REMOVE+=/usr/share/man/man1/spkac.1.gz
+TO_REMOVE+=/usr/share/man/man1/ts.1.gz
+TO_REMOVE+=/usr/share/man/man1/tsget.1.gz
+TO_REMOVE+=/usr/share/man/man1/version.1.gz
+TO_REMOVE+=/usr/share/man/man1/x509.1.gz
+TO_REMOVE+=/usr/share/man/man5/config.5.gz
+TO_REMOVE+=/usr/share/man/man5/x509v3_config.5.gz
 
 .if !defined(WANT_INSTALLER)
 TO_REMOVE+=/usr/sbin/dfuibe_installer
diff --git a/usr.bin/openssl/Makefile b/usr.bin/openssl/Makefile
index 464bd92754..d84e8d4204 100644
--- a/usr.bin/openssl/Makefile
+++ b/usr.bin/openssl/Makefile
@@ -3,7 +3,6 @@
 PROG=	openssl
 WARNS?=	2
 
-.include "Makefile.man"
 .include "${.CURDIR}/../../lib/librecrypto/Makefile.inc"
 
 DPADD+=		${LIBRESSL} ${LIBRECRYPTO}
